JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ basic_json() [1/10]
nlohmann::basic_json::basic_json | ( | const value_t | v | ) |
| inline
Create an empty JSON value with a given type. The value will be default initialized with an empty value which depends on the type:
Value type | initial value
--- | ---
null | `null`
boolean | `false`
string | `""`
number | `0`
object | `{}`
array | `[]`
binary | empty array
  Parameters
  [in] | v | the type of the value to create
  Complexity Constant. Exception safety Strong guarantee: if an exception is thrown, there are no changes to any JSON value. Example The following code shows the constructor for different value_t values 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create the different JSON values with default values 9 json j_null(json::value_t::null); 10 json j_boolean(json::value_t::boolean); 11 json j_number_integer(json::value_t::number_integer); 12 json j_number_float(json::value_t::number_float); 13 json j_object(json::value_t::object); 14 json j_array(json::value_t::array); 15 json j_string(json::value_t::string); 16 17 // serialize the JSON values 18 std::cout << j_null << '\n'; 19 std::cout << j_boolean << '\n'; 20 std::cout << j_number_integer << '\n'; 21 std::cout << j_number_float << '\n'; 22 std::cout << j_object << '\n'; 23 std::cout << j_array << '\n'; 24 std::cout << j_string << '\n'; 25 } Output (play with this example online):
      null
      false
      0
      0.0
      {}
      []
      ""
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/basic_json__value_t.cpp -o basic_json__value_t
See also clear() – restores the postcondition of this constructor Since version 1.0.0 Definition at line 17130 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774